<form class="{{cssClass}}" autocomplete="off">
    {{log this}}
    <header class="sheet-header">
        <img src="{{item.img}}" data-edit="img" title="{{item.name}}" height="64" width="64" alt="[IMG]"/>
        <h1>
            <label>
                <input name="name" type="text" value="{{item.name}}" placeholder="{{ localize 'Name' }}"/>
            </label>
        </h1>
    </header>
    <div>
        <h4>{{localize "htbh.weapon.descriptionLabel"}}</h4>
        <label>
            <textarea name="data.description">{{data.data.description}}</textarea>
        </label>
        <table>
            <tr>
                <td>{{localize "htbh.weapon.rarityLabel"}}</td>
                <td>
                    {{log data}}
                    <label>
                        <select name="data.rarity">
                            {{#select data.data.rarity}}
                            {{#each config.rarityTypes as |name type|}}
                            <option value="{{type}}">{{localize name}}</option>
                            {{/each}}
                            {{/select}}
                        </select>
                    </label>
                </td>
            </tr>
            <tr>
                <td>{{localize "htbh.weapon.damageLabel"}}</td>
                <td>
                    <label>
                        <input name="data.damage" type="text" value="{{data.data.damage}}" data-type="Number"/>
                    </label>
                </td>
            </tr>
            <tr>
                <td>{{localize "htbh.weapon.damageBonusLabel"}}</td>
                <td>
                    <label>
                        <input name="data.damageBonus" type="text" value="{{data.data.damageBonus}}"
                               data-type="Number"/>
                    </label>
                </td>
            </tr>
            <tr>
                <td>{{localize "htbh.weapon.accuracyBonusLabel"}}</td>
                <td>
                    <label>
                        <input name="data.accuracyBonus" type="text" value="{{data.data.accuracyBonus}}"
                               data-type="Number"/>
                    </label>
                </td>
            </tr>
            <tr>
                <td>{{localize "htbh.weapon.protectionBonusLabel"}}</td>
                <td>
                    <label>
                        <input name="data.protectionBonus" type="text" value="{{data.data.protectionBonus}}"
                               data-type="Number"/>
                    </label>
                </td>
            </tr>
        </table>
    </div>
</form>
